<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>FileBasedConfigurationBuilder (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FileBasedConfigurationBuilder (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":9,"i9":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FileBasedConfigurationBuilder.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/builder/HierarchicalBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html" target="_top">Frames</a></li>
<li><a href="FileBasedConfigurationBuilder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.builder</div>
<h2 title="Class FileBasedConfigurationBuilder" class="title">Class FileBasedConfigurationBuilder&lt;T extends <a href="../../../../../org/apache/commons/configuration2/FileBasedConfiguration.html" title="interface in org.apache.commons.configuration2">FileBasedConfiguration</a>&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder">org.apache.commons.configuration2.builder.BasicConfigurationBuilder</a>&lt;T&gt;</li>
<li>
<ul class="inheritance">
<li>org.apache.commons.configuration2.builder.FileBasedConfigurationBuilder&lt;T&gt;</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>T</code> - the concrete type of <code>Configuration</code> objects created by this
        builder</dd>
</dl>
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder">ConfigurationBuilder</a>&lt;T&gt;, <a href="../../../../../org/apache/commons/configuration2/event/EventSource.html" title="interface in org.apache.commons.configuration2.event">EventSource</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../org/apache/commons/configuration2/builder/ReloadingFileBasedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder">ReloadingFileBasedConfigurationBuilder</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">FileBasedConfigurationBuilder&lt;T extends <a href="../../../../../org/apache/commons/configuration2/FileBasedConfiguration.html" title="interface in org.apache.commons.configuration2">FileBasedConfiguration</a>&gt;</span>
extends <a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder">BasicConfigurationBuilder</a>&lt;T&gt;</pre>
<div class="block"><p>
 A specialized <code>ConfigurationBuilder</code> implementation which can handle
 configurations read from a <a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io"><code>FileHandler</code></a>.
 </p>
 <p>
 This class extends its base class by the support of a
 <a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder"><code>FileBasedBuilderParametersImpl</code></a> object, and especially of the
 <a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io"><code>FileHandler</code></a> contained in this object. When the builder creates a new
 object the resulting <code>Configuration</code> instance is associated with the
 <code>FileHandler</code>. If the <code>FileHandler</code> has a location set, the
 <code>Configuration</code> is directly loaded from this location.
 </p>
 <p>
 The <code>FileHandler</code> is kept by this builder and can be queried later on.
 It can be used for instance to save the current <code>Configuration</code> after
 it was modified. Some care has to be taken when changing the location of the
 <code>FileHandler</code>: The new location is recorded and also survives an
 invocation of the <code>resetResult()</code> method. However, when the builder's
 initialization parameters are reset by calling <code>resetParameters()</code> the
 location is reset, too.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: FileBasedConfigurationBuilder.java 1790899 2017-04-10 21:56:46Z ggregory $</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html#FileBasedConfigurationBuilder-java.lang.Class-">FileBasedConfigurationBuilder</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends <a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html" title="type parameter in FileBasedConfigurationBuilder">T</a>&gt;&nbsp;resCls)</code>
<div class="block">Creates a new instance of <code>FileBasedConfigurationBuilder</code> which
 produces result objects of the specified class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html#FileBasedConfigurationBuilder-java.lang.Class-java.util.Map-">FileBasedConfigurationBuilder</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends <a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html" title="type parameter in FileBasedConfigurationBuilder">T</a>&gt;&nbsp;resCls,
                             <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;params)</code>
<div class="block">Creates a new instance of <code>FileBasedConfigurationBuilder</code> which
 produces result objects of the specified class and sets initialization
 parameters.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html#FileBasedConfigurationBuilder-java.lang.Class-java.util.Map-boolean-">FileBasedConfigurationBuilder</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends <a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html" title="type parameter in FileBasedConfigurationBuilder">T</a>&gt;&nbsp;resCls,
                             <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;params,
                             boolean&nbsp;allowFailOnInit)</code>
<div class="block">Creates a new instance of <code>FileBasedConfigurationBuilder</code> which
 produces result objects of the specified class and sets initialization
 parameters and the <em>allowFailOnInit</em> flag.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder">FileBasedConfigurationBuilder</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html" title="type parameter in FileBasedConfigurationBuilder">T</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html#configure-org.apache.commons.configuration2.builder.BuilderParameters...-">configure</a></span>(<a href="../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>...&nbsp;params)</code>
<div class="block">Appends the content of the specified <code>BuilderParameters</code> objects to
 the current initialization parameters.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html#getDefaultEncoding-java.lang.Class-">getDefaultEncoding</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;?&gt;&nbsp;configClass)</code>
<div class="block">Returns the default encoding for the specified configuration class.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html#getFileHandler--">getFileHandler</a></span>()</code>
<div class="block">Returns the <code>FileHandler</code> associated with this builder.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html#initFileHandler-org.apache.commons.configuration2.io.FileHandler-">initFileHandler</a></span>(<a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a>&nbsp;handler)</code>
<div class="block">Initializes the new current <code>FileHandler</code>.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html#initResultInstance-T-">initResultInstance</a></span>(<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html" title="type parameter in FileBasedConfigurationBuilder">T</a>&nbsp;obj)</code>
<div class="block">Initializes a newly created result object.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html#isAutoSave--">isAutoSave</a></span>()</code>
<div class="block">Returns a flag whether auto save mode is currently active.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html#save--">save</a></span>()</code>
<div class="block">Convenience method which saves the associated configuration.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html#setAutoSave-boolean-">setAutoSave</a></span>(boolean&nbsp;enabled)</code>
<div class="block">Enables or disables auto save mode.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html#setDefaultEncoding-java.lang.Class-java.lang.String-">setDefaultEncoding</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;?&gt;&nbsp;configClass,
                  <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;encoding)</code>
<div class="block">Sets a default encoding for a specific configuration class.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder">BasicConfigurationBuilder</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html" title="type parameter in FileBasedConfigurationBuilder">T</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html#setParameters-java.util.Map-">setParameters</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;params)</code>
<div class="block">Sets the initialization parameters of this builder.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.builder.BasicConfigurationBuilder">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.commons.configuration2.builder.<a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder">BasicConfigurationBuilder</a></h3>
<code><a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#addEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">addEventListener</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#addParameters-java.util.Map-">addParameters</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#connectToReloadingController-org.apache.commons.configuration2.reloading.ReloadingController-">connectToReloadingController</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#copyEventListeners-org.apache.commons.configuration2.builder.BasicConfigurationBuilder-">copyEventListeners</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#copyEventListeners-org.apache.commons.configuration2.builder.BasicConfigurationBuilder-org.apache.commons.configuration2.event.EventListenerList-">copyEventListeners</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#createResult--">createResult</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#createResultDeclaration-java.util.Map-">createResultDeclaration</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#createResultInstance--">createResultInstance</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#fetchBeanHelper--">fetchBeanHelper</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#fireBuilderEvent-org.apache.commons.configuration2.builder.ConfigurationBuilderEvent-">fireBuilderEvent</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#getConfiguration--">getConfiguration</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#getParameters--">getParameters</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#getResultClass--">getResultClass</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#getResultDeclaration--">getResultDeclaration</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#installEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">installEventListener</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#isAllowFailOnInit--">isAllowFailOnInit</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#removeEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">removeEventListener</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#reset--">reset</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#resetParameters--">resetParameters</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#resetResult--">resetResult</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FileBasedConfigurationBuilder-java.lang.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FileBasedConfigurationBuilder</h4>
<pre>public&nbsp;FileBasedConfigurationBuilder(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends <a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html" title="type parameter in FileBasedConfigurationBuilder">T</a>&gt;&nbsp;resCls)</pre>
<div class="block">Creates a new instance of <code>FileBasedConfigurationBuilder</code> which
 produces result objects of the specified class.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>resCls</code> - the result class (must not be <b>null</b></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if the result class is <b>null</b></dd>
</dl>
</li>
</ul>
<a name="FileBasedConfigurationBuilder-java.lang.Class-java.util.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FileBasedConfigurationBuilder</h4>
<pre>public&nbsp;FileBasedConfigurationBuilder(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends <a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html" title="type parameter in FileBasedConfigurationBuilder">T</a>&gt;&nbsp;resCls,
                                     <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;params)</pre>
<div class="block">Creates a new instance of <code>FileBasedConfigurationBuilder</code> which
 produces result objects of the specified class and sets initialization
 parameters.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>resCls</code> - the result class (must not be <b>null</b></dd>
<dd><code>params</code> - a map with initialization parameters</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if the result class is <b>null</b></dd>
</dl>
</li>
</ul>
<a name="FileBasedConfigurationBuilder-java.lang.Class-java.util.Map-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FileBasedConfigurationBuilder</h4>
<pre>public&nbsp;FileBasedConfigurationBuilder(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends <a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html" title="type parameter in FileBasedConfigurationBuilder">T</a>&gt;&nbsp;resCls,
                                     <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;params,
                                     boolean&nbsp;allowFailOnInit)</pre>
<div class="block">Creates a new instance of <code>FileBasedConfigurationBuilder</code> which
 produces result objects of the specified class and sets initialization
 parameters and the <em>allowFailOnInit</em> flag.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>resCls</code> - the result class (must not be <b>null</b></dd>
<dd><code>params</code> - a map with initialization parameters</dd>
<dd><code>allowFailOnInit</code> - the <em>allowFailOnInit</em> flag</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if the result class is <b>null</b></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getDefaultEncoding-java.lang.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultEncoding</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDefaultEncoding(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;?&gt;&nbsp;configClass)</pre>
<div class="block">Returns the default encoding for the specified configuration class. If an
 encoding has been set for the specified class (or one of its super
 classes), it is returned. Otherwise, result is <b>null</b>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>configClass</code> - the configuration class in question</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the default encoding for this class (may be <b>null</b>)</dd>
</dl>
</li>
</ul>
<a name="setDefaultEncoding-java.lang.Class-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDefaultEncoding</h4>
<pre>public static&nbsp;void&nbsp;setDefaultEncoding(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;?&gt;&nbsp;configClass,
                                      <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;encoding)</pre>
<div class="block">Sets a default encoding for a specific configuration class. This encoding
 is used if an instance of this configuration class is to be created and
 no encoding has been set in the parameters object for this builder. The
 encoding passed here not only applies to the specified class but also to
 its sub classes. If the encoding is <b>null</b>, it is removed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>configClass</code> - the name of the configuration class (must not be
        <b>null</b>)</dd>
<dd><code>encoding</code> - the default encoding for this class</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if the class is <b>null</b></dd>
</dl>
</li>
</ul>
<a name="configure-org.apache.commons.configuration2.builder.BuilderParameters...-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>configure</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder">FileBasedConfigurationBuilder</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html" title="type parameter in FileBasedConfigurationBuilder">T</a>&gt;&nbsp;configure(<a href="../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>...&nbsp;params)</pre>
<div class="block">Appends the content of the specified <code>BuilderParameters</code> objects to
 the current initialization parameters. Calling this method multiple times
 will create a union of the parameters provided. This method is overridden here to change the result type.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#configure-org.apache.commons.configuration2.builder.BuilderParameters...-">configure</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder">BasicConfigurationBuilder</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html" title="type parameter in FileBasedConfigurationBuilder">T</a> extends <a href="../../../../../org/apache/commons/configuration2/FileBasedConfiguration.html" title="interface in org.apache.commons.configuration2">FileBasedConfiguration</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>params</code> - an arbitrary number of objects with builder parameters</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this builder for method chaining</dd>
</dl>
</li>
</ul>
<a name="getFileHandler--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFileHandler</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a>&nbsp;getFileHandler()</pre>
<div class="block">Returns the <code>FileHandler</code> associated with this builder. If already
 a result object has been created, this <code>FileHandler</code> can be used to
 save it. Otherwise, the <code>FileHandler</code> from the initialization
 parameters is returned (which is not associated with a <code>FileBased</code>
 object). Result is never <b>null</b>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the <code>FileHandler</code> associated with this builder</dd>
</dl>
</li>
</ul>
<a name="setParameters-java.util.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setParameters</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder">BasicConfigurationBuilder</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html" title="type parameter in FileBasedConfigurationBuilder">T</a>&gt;&nbsp;setParameters(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;params)</pre>
<div class="block">Sets the initialization parameters of this builder. Already existing
 parameters are replaced by the content of the given map. This implementation just records the fact that new
 parameters have been set. This means that the next time a result object
 is created, the <code>FileHandler</code> has to be initialized from
 initialization parameters rather than reusing the existing one.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#setParameters-java.util.Map-">setParameters</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder">BasicConfigurationBuilder</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html" title="type parameter in FileBasedConfigurationBuilder">T</a> extends <a href="../../../../../org/apache/commons/configuration2/FileBasedConfiguration.html" title="interface in org.apache.commons.configuration2">FileBasedConfiguration</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>params</code> - the new initialization parameters of this builder; can be
        <b>null</b>, then all initialization parameters are removed</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this builder for method chaining</dd>
</dl>
</li>
</ul>
<a name="save--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>save</h4>
<pre>public&nbsp;void&nbsp;save()
          throws <a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></pre>
<div class="block">Convenience method which saves the associated configuration. This method
 expects that the managed configuration has already been created and that
 a valid file location is available in the current <code>FileHandler</code>.
 The file handler is then used to store the configuration.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if an error occurs</dd>
</dl>
</li>
</ul>
<a name="isAutoSave--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAutoSave</h4>
<pre>public&nbsp;boolean&nbsp;isAutoSave()</pre>
<div class="block">Returns a flag whether auto save mode is currently active.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><b>true</b> if auto save is enabled, <b>false</b> otherwise</dd>
</dl>
</li>
</ul>
<a name="setAutoSave-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAutoSave</h4>
<pre>public&nbsp;void&nbsp;setAutoSave(boolean&nbsp;enabled)</pre>
<div class="block">Enables or disables auto save mode. If auto save mode is enabled, every
 update of the managed configuration causes it to be saved automatically;
 so changes are directly written to disk.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enabled</code> - <b>true</b> if auto save mode is to be enabled,
        <b>false</b> otherwise</dd>
</dl>
</li>
</ul>
<a name="initResultInstance-org.apache.commons.configuration2.FileBasedConfiguration-">
<!--   -->
</a><a name="initResultInstance-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>initResultInstance</h4>
<pre>protected&nbsp;void&nbsp;initResultInstance(<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html" title="type parameter in FileBasedConfigurationBuilder">T</a>&nbsp;obj)
                           throws <a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></pre>
<div class="block">Initializes a newly created result object. This is the second step of the
 process of producing a result object for this builder. This
 implementation uses the <a href="../../../../../org/apache/commons/configuration2/beanutils/BeanHelper.html" title="class in org.apache.commons.configuration2.beanutils"><code>BeanHelper</code></a> class to initialize the
 object's property based on the <a href="../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils"><code>BeanDeclaration</code></a> returned by
 <a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#getResultDeclaration--"><code>BasicConfigurationBuilder.getResultDeclaration()</code></a>. Note: This method is invoked in a
 synchronized block. This is required because internal state is accessed.
 Sub classes must not call this method without proper synchronization. This implementation deals with the creation and
 initialization of a <code>FileHandler</code> associated with the new result
 object.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#initResultInstance-T-">initResultInstance</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder">BasicConfigurationBuilder</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html" title="type parameter in FileBasedConfigurationBuilder">T</a> extends <a href="../../../../../org/apache/commons/configuration2/FileBasedConfiguration.html" title="interface in org.apache.commons.configuration2">FileBasedConfiguration</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>obj</code> - the object to be initialized</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if an error occurs</dd>
</dl>
</li>
</ul>
<a name="initFileHandler-org.apache.commons.configuration2.io.FileHandler-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>initFileHandler</h4>
<pre>protected&nbsp;void&nbsp;initFileHandler(<a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a>&nbsp;handler)
                        throws <a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></pre>
<div class="block">Initializes the new current <code>FileHandler</code>. When a new result object
 is created, a new <code>FileHandler</code> is created, too, and associated
 with the result object. This new handler is passed to this method. If a
 location is defined, the result object is loaded from this location.
 Note: This method is called from a synchronized block.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>handler</code> - the new current <code>FileHandler</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if an error occurs</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FileBasedConfigurationBuilder.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/builder/HierarchicalBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html" target="_top">Frames</a></li>
<li><a href="FileBasedConfigurationBuilder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
